$(function () {
    "use strict";
    // wyświetlanie pytań
    $('.selectCategory').change(function () {
        $('#selectCategoryForm').submit();
    });
    // wyświetlanie buttonów opcji newsa
    $('#questionList tr').mouseenter(
        function () {
            $('.buttonsItems', this).css('display', 'block');
        }
    )
        .mouseleave(
            function () {
                $('.buttonsItems', this).css('display', 'none');
            }
        );
    // wyświetlanie buttonów opcji categorii
    $('#catList tr').mouseenter(
        function () {
            $('.buttonsItems', this).css('display', 'block');
        }
    )
        .mouseleave(
            function () {
                $('.buttonsItems', this).css('display', 'none');
            }
        );
    //wysyłanie formularza paginacji
    $('select[name=per_page]').change(function () {
        $(this).parent().submit();
    })
    
    //walidacja formularza dodawanie i edycja newsa
    $('#newsNew').submit(function () {
        if($('.chosen-search-input').val()=="Select Some Options"){
            $('#contentValidationCat').css('display', 'block');
            return false;
        }
    });
    
});

$(function () {
    "use strict";
    if($('.tooltipster-top').length>0){
        $('.tooltipster-top').tooltipster({
            position: "top"
        });
    }
});

$(function () {
    "use strict";
    if($('#questionList').length>0){
        $('#questionList').dataTable({
            ordering: false,
            searching: false,
            paging: false,
            info: false,
            "dom": '<f<t><"bottom"ilp>><"clear">',
            language: {
                url: language,
            }
        });
    }
});

$(function () {
    "use strict";
    if($('#catList').length>0){
        $('#catList').dataTable({
            ordering: false,
            searching: false,
            paging: false,
            info: false,
            dom: '<f<t><"bottom"ilp>><"clear">',
            language: {
                url: language,
            }
        });
    }
});

$(function () {
    "use strict";
    // usuwanie pytania
    $('#deleteQuestion').change(function () {
        if (this.checked) {
            $('#QuestionDeleteInput').removeAttr('disabled');
        } else {
            $('#QuestionDeleteInput').attr('disabled', 'disabled');
        }


    });
    
    // usuwanie kategorii
    $('#deleteCategory').change(function () {
        if (this.checked) {
            $('#CategoryDeleteInput').removeAttr('disabled');
        } else {
            $('#CategoryDeleteInput').attr('disabled', 'disabled');
        }

    });
    
});

// Chosen
$(function () {
    "use strict";
    // Włączenie chosen - dodawanie i edycja pytania - wybór kategorii
    if($('.chosenSelectCategory').length>0){
        $('.chosenSelectCategory').chosen();
    }
})

// Date time picker
$(function () {
    "use strict";
    if($('.datePicker').length>0){
        $('.datePicker').datetimepicker({
            timepicker:false,
            format:'d-m-Y',
            closeOnDateSelect:true,
            scrollInput: false
        });
    }    
});


